Create Ai Activate Index

Create AI Activate content index for a volume.

SecurityHTTPBearer
Request
Request Body schema: application/json
required
volume_guid
required
string (Volume Guid)
Mcp Enabled (boolean) or Mcp Enabled (null) (Mcp Enabled)
Array of Include Paths (strings) or Include Paths (null) (Include Paths)
Array of Exclude Paths (strings) or Exclude Paths (null) (Exclude Paths)
Responses
202

AI Activate content indexing started

400

Bad request

401

Not authenticated

403

Insufficient permissions

404

Resource not found

408

Request timeout

409

Resource state conflict

422

Invalid input data

500

Internal server error

post/ai_activate/indexes
Request samples
application/json
{
  • "volume_guid": "string",
  • "mcp_enabled": true,
  • "include_paths": [
    ],
  • "exclude_paths": [
    ]
}
Response samples
application/json
{
  • "volume_guid": "string",
  • "volume_name": "string",
  • "provider": "string",
  • "volume_region": "string",
  • "status": "in_progress",
  • "file_count": 0,
  • "volume_size": "string",
  • "mcp_enabled": true,
  • "include_paths": [
    ],
  • "exclude_paths": [
    ]
}
Copyright © 2025 Nasuni Corporation. All rights reserved.